Update integration data
curl --request PUT \
--url 'https://api.vida.dev/api/v2/integration/{integrationSlug}/{integrationVersion}?token=' \
--header 'Content-Type: application/json' \
--data '{
"appData": {}
}'import requests
url = "https://api.vida.dev/api/v2/integration/{integrationSlug}/{integrationVersion}?token="
payload = { "appData": {} }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({appData: {}})
};
fetch('https://api.vida.dev/api/v2/integration/{integrationSlug}/{integrationVersion}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Integration data updated successfully",
"appId": "squire",
"appVersion": "v1",
"appData": {},
"success": true
}Integrations
Update integration data
Shallow-merges appData into an existing Vader integration configuration and returns the stored result. Use POST on this same path when the integration may not have been configured yet.
PUT
/
api
/
v2
/
integration
/
{integrationSlug}
/
{integrationVersion}
Update integration data
Authorizations
Vida API Token
Path Parameters
Slug identifier for the Vader integration.
Minimum string length:
1Integration version. Defaults to v1.
Minimum string length:
1Query Parameters
Computer Agent account whose app state should be used. Defaults to the API token account.
Body
application/json
Integration-specific settings to merge into the existing configuration.